Home
About
Join Today
Join Today
  • Sign Up
  • Sign In
Conatct Us
Home
About
Join Today
Join Today
  • Sign Up
  • Sign In
Conatct Us
  1. Bill Payment
  • Introduction
  • Getting Started
  • Authentication
  • HTTPS Status Codes
  • Rate Limits
  • Callbacks
    • Recharge Callback
  • NSDL Account Opening
    • BC Agent Onboarding
      POST
    • Create Account
      POST
    • Account Status
      GET
  • Recharge
    • Operator List
      GET
    • HLR Check
      POST
    • DTH Info
      POST
    • Browse Plans
      POST
    • Initiate Recharge
      POST
    • Check Status
      GET
  • Bill Payment
    • Biller List
      POST
    • Fetch Bill
      POST
    • Bill Pay
      POST
  • Verification Suite
    • Digilocker
      • Initiate
      • Check Status
      • Download Aadhaar
    • Aadhaar
      • Send OTP
      • Verify OTP
    • UPI Verification
      POST
    • Bank Verification
      POST
    • PAN Verification
      POST
    • GSTIN Verification
      POST
  • Comunications API
    • Send SMS OTP
    • Send Whatsapp OTP
  1. Bill Payment

Biller List

POST
/api/v1/bill-payment/biller-list

Biller List API#

Retrieve the list of supported billers available under BBPS categories such as Electricity, Gas, Water, Broadband, Fastag, Loan EMI, and more.

Request

Header Params

Body Params application/json

Example
{
    "mode": "online",
    "category": "EMI"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/v1/bill-payment/biller-list' \
--header 'x-client-id: {{client_id}}' \
--header 'x-client-secret: {{client_secret}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mode": "online",
    "category": "EMI"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "response_code": 200,
    "status": "success",
    "message": "Biller list fetched successfully.",
    "data": {
        "mode": "online",
        "category": "all",
        "total": 1045,
        "billers": [
            {
                "id": "989",
                "name": "121 Finance Private Limited",
                "category": "EMI",
                "fetch_bill": true,
                "parameters": {
                    "canumber": {
                        "display_name": "Loan Account Number",
                        "regex": "^[A-Za-z0-9\\@\\s\\-]{8,35}$",
                        "required": true
                    }
                }
            },
            {
                "id": "415",
                "name": "Aadhar Housing Finance Limited",
                "category": "EMI",
                "fetch_bill": true,
                "parameters": {
                    "canumber": {
                        "display_name": "Application ID",
                        "regex": "^[a-zA-Z0-9]+$",
                        "required": true
                    }
                }
            },
            {
                "id": "122",
                "name": "Aavantika Gas Ltd",
                "category": "Gas",
                "fetch_bill": true,
                "parameters": {
                    "canumber": {
                        "display_name": "Customer No",
                        "regex": "^[0-9a-zA-Z]{10,15}$",
                        "required": true
                    }
                }
            },
            {
                "id": "195",
                "name": "AAVAS FINANCIERS LIMITED",
                "category": "EMI",
                "fetch_bill": true,
                "parameters": {
                    "canumber": {
                        "display_name": "Loan Number",
                        "regex": "^[a-zA-Z0-9-]+$",
                        "required": true
                    }
                }
            },
            {
                "id": "992",
                "name": "ACKO General Insurance - Motor",
                "category": "Insurance",
                "fetch_bill": true,
                "parameters": {
                    "canumber": {
                        "display_name": "Policy Number",
                        "regex": "^[a-zA-Z0-9\\/]{10,25}$",
                        "required": true
                    }
                }
            }
        ]
    },
    "meta": {
        "request_id": "9d0fd75e-1d1f-4fa8-a0b3-f78891b8f065",
        "time": "2026-03-03T16:26:43+05:30"
    }
}
🟠401Unauthorized
Previous
Check Status
Next
Fetch Bill
Built with